--- title: "createCloudHadoopInstance" slug: "analytics-vhadoop-createcloudhadoopinstance" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-vhadoop-createcloudhadoopinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createCloudHadoopInstance Available in VPC Create a Cloud Hadoop cluster. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vhadoop/v2/createCloudHadoopInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-vhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `cloudHadoopClusterName` | String | Required | Cluster name - Enter 3 to 15 characters using a combination of lowercase English letters, numbers, and the special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Can't be duplicated. | | `cloudHadoopImageProductCode` | String | Optional | Cluster image code - See `productCode` of [getCloudHadoopImageProductList](/docs/en/analytics-vhadoop-getcloudhadoopimageproductlist). - If not entered, the latest version provided will be applied. | | `cloudHadoopClusterTypeCode` | String | Required | Cluster type code - See [getCloudHadoopClusterTypeList](/docs/en/analytics-vhadoop-getcloudhadoopclustertypelist). | | `cloudHadoopAddOnCodeList` | Array | Optional | Cluster add-on component list - See [getCloudHadoopAddOnList](/docs/en/analytics-vhadoop-getcloudhadoopaddonlist). - Applicable to Cloud Hadoop version 1.5 or later. - Example: `cloudHadoopAddOnCodeList.1=PRESTO&cloudHadoopAddOnCodeList.2=HBASE` | | `useDataCatalog` | Boolean | Optional | Whether to use the Data Catalog service - `true` \| `false` (default) - `true`: Enable Hive metastore is provided through the catalog of the Data Catalog service. - `false`: Disable - Usage conditions - Subscription to the Data Catalog service and normal operation status. - Cloud Hadoop version 2.0 or later. | | `useKdc` | Boolean | Optional | Whether to use Kerberos authentication configuration - `true` \| `false` (default) - `true`: Enable - `false`: Disable - When used, it provides KDC server redundancy for the master node. | | `kdcRealm` | String | Conditional | KDC realm information - Required if `useKdc` is `true`. - Only domain rules in the form of realm are allowed. | | `kdcPassword` | String | Conditional | KDC admin account password - Required if `useKdc` is `true`. - Enter 8 to 20 characters using a combination of English letters, numbers, and special characters. - Unusable special characters: ', ", ₩, /, &, `, space | | `vpcNo` | String | Required | VPC number - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `cloudHadoopAdminUserName` | String | Required | Cluster admin account username - Enter 3 to 15 characters using a combination of lowercase English letters, numbers, and the special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Required when accessing the Ambari console. | | `cloudHadoopAdminUserPassword` | String | Required | Cluster admin account password - Enter 8 to 20 characters using a combination of English letters, numbers, and special characters. - Unusable special characters: ', ", ₩, /, &, `, space - Required when accessing the Ambari console. | | `bucketName` | String | Required | Object Storage bucket name - See [getCloudHadoopBucketList](/docs/en/analytics-vhadoop-getcloudhadoopbucketlist). | | `useBootstrapScript` | Boolean | Optional | Whether to use bootstrap script - `true` \| `false` (default) - `true`: Enable - `false`: Disable - If enabled, the script will be pre-run on all nodes. | | `bootstrapScript` | String | Conditional | Bootstrap script - Required if `useBootstrapScript` is `true`. - Enter folder and file names in the bucket. - Scripts can only be run onto the bucket integrated with the cluster. - No spaces or special characters are allowed. - Script length: N-1024 bytes | | `edgeNodeSubnetNo` | String | Required | Edge node subnet number - See [getSubnetList](/docs/en/networking-vpc-subnetmanagement-getsubnetlist). | | `edgeNodeProductCode` | String | Optional | Edge node server type code - See [getCloudHadoopProductList](/docs/en/analytics-vhadoop-getcloudhadoopproductlist). - Default: Minimum specifications (in the order of memory, CPU) | | `masterNodeSubnetNo` | String | Required | Master node subnet number - See [getSubnetList](/docs/en/networking-vpc-subnetmanagement-getsubnetlist). | | `masterNodeProductCode` | String | Optional | Master node server type code - See [getCloudHadoopProductList](/docs/en/analytics-vhadoop-getcloudhadoopproductlist). - Default: Minimum specifications (in the order of memory, CPU) | | `masterNodeDataStorageTypeCode` | String | Required | Master node storage type - `SSD` \| `HDD` \| `CB2` - Unable to change after installation - Default value changes depending on generationCode value of `getCloudHadoopImageProductList` | | `masterNodeDataStorageSize` | Integer | Required | Master node storage capacity (GB) - `100`-`2000` (in 10 GB increments) \| `4000` \| `6000` | | `workerNodeSubnetNo` | String | Required | Worker node subnet number - See [getSubnetList](/docs/en/networking-vpc-subnetmanagement-getsubnetlist). - Can only be deployed in a private subnet. | | `workerNodeProductCode` | String | Optional | Worker node server type code - See [getCloudHadoopProductList](/docs/en/analytics-vhadoop-getcloudhadoopproductlist). - Default: Minimum specifications (in the order of memory, CPU) | | `workerNodeCount` | Integer | Optional | Number of worker nodes - 2-8 (default: 2) | | `workerNodeDataStorageTypeCode` | String | Required | Worker node storage type - `SSD` \| `HDD` \| `CB2` - Unable to change after installation - Default value changes depending on generationCode value of `getCloudHadoopImageProductList` | | `workerNodeDataStorageSize` | Integer | Required | Worker node storage capacity (GB) - `100`-`2000` (in 10 GB increments) \| `4000` \| `6000` | | `loginKeyName` | String | Required | Authentication key name - See [getCloudHadoopLoginKeyList](/docs/en/analytics-vhadoop-getcloudhadooploginkeylist). - Required when accessing directly to the node via SSH method. | | `engineVersionCode` | String | Optional | Engine version code - See [getCloudHadoopImageProductList](/docs/en/analytics-vhadoop-getcloudhadoopimageproductlist). - Enter when creating a Rocky cluster. - If not entered, the latest version provided will be applied. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | Note The number of master nodes and edge nodes in a cluster can't be set separately. - Since the Cloud Hadoop service supports high availability (HA) by default, the cluster always includes two master nodes. - The number of edge nodes is fixed at 1. ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vhadoop/v2/createCloudHadoopInstance ?regionCode=KR &cloudHadoopClusterName=cluster03 &cloudHadoopClusterTypeCode=CORE_HADOOP_WITH_SPARK &cloudHadoopAddOnCodeList=PRESTO &vpcNo=***** &cloudHadoopAdminUserName=******* &cloudHadoopAdminUserPassword=******** &bucketName=bk1 &edgeNodeSubnetNo=20**** &edgeNodeProductCode=SVR.VCHDP.EDGND.STAND.C004.M016.NET.HDD.B050.G002 &masterNodeSubnetNo=20**** &masterNodeProductCode=SVR.VCHDP.MSTDT.STAND.C004.M016.NET.HDD.B050.G002 &masterNodeDataStorageTypeCode=SSD &masterNodeDataStorageSize=100 &workerNodeSubnetNo=20**** &workerNodeProductCode=SVR.VCHDP.MSTDT.STAND.C004.M016.NET.HDD.B050.G002 &workerNodeCount=2 &workerNodeDataStorageTypeCode=SSD &workerNodeDataStorageSize=100 &loginKeyName=ncp****** &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `createCloudHadoopInstanceResponse` | Object | - | Response result - See [CloudHadoopInstanceList](/docs/en/common-vapidatatype-cloudhadoopinstancelist). | | `createCloudHadoopInstanceResponse.requestId` | String | - | ID for the request - UUID format | | `createCloudHadoopInstanceResponse.returnCode` | String | - | Response code | | `createCloudHadoopInstanceResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-vhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "createCloudHadoopInstanceResponse": { "totalRows": 1, "cloudHadoopInstanceList": [ { "cloudHadoopInstanceNo": "1000*****", "cloudHadoopClusterName": "cluster03", "cloudHadoopInstanceStatusName": "creating", "cloudHadoopInstanceStatus": { "code": "INIT", "codeName": "CLOUD DATABASE (VPC) Init status" }, "cloudHadoopInstanceOperation": { "code": "CREAT", "codeName": "CLOUD DATABASE(VPC) Creat OP" }, "cloudHadoopClusterType": { "code": "CORE_HADOOP_WITH_SPARK", "codeName": "Core Hadoop with Spark : HDFS(3.1.1), YARN(3.1.1), Zookeeper(3.4.9), Ranger(2.0.0), HIVE(3.1.2), Hue(4.8.0), Zeppelin Notebook(0.10.1), Spark (2.4.8)" }, "cloudHadoopVersion": { "code": "HADOOP2.1", "codeName": "Cloud Hadoop 2.1" }, "cloudHadoopAddOnList": [], "ambariServerHost": "e-001-cluster03-5v3z-hd", "clusterDirectAccessAccount": "sshuser", "loginKey": "**********", "objectStorageBucket": "bk1", "cloudHadoopImageProductCode": "SW.VCHDP.LNX64.CNTOS.0708.HDP.21.B050", "isHa": true, "createDate": "2025-02-25T09:24:44+0900", "useDataCatalog": false, "accessControlGroupNoList": [], "cloudHadoopServerInstanceList": [ { "cloudHadoopServerName": "e-001-cluster03-5v3z-hd", "cloudHadoopServerRole": { "code": "E", "codeName": "Edge Node" }, "cloudHadoopServerInstanceStatusName": "creating", "cloudHadoopServerInstanceStatus": { "code": "PEND", "codeName": "CLOUD DATABASE (VPC) server Pending status" }, "cloudHadoopServerInstanceOperation": { "code": "CREAT", "codeName": "CLOUD DATABASE (VPC) server Create OP" }, "cloudHadoopProductCode": "SVR.VCHDP.EDGND.STAND.C004.M016.NET.HDD.B050.G002", "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "7****", "vpcName": "****", "subnetNo": "20****", "subnetName": "****", "privateIp": "***.***.***.***", "isPublicSubnet": true, "dataStorageSize": 107374182400, "cpuCount": 4, "memorySize": 17179869184, "createDate": "2025-02-25T09:24:44+0900" }, { "cloudHadoopServerName": "m-001-cluster03-5v3x-hd", "cloudHadoopServerRole": { "code": "M", "codeName": "Master Node" }, "cloudHadoopServerInstanceStatusName": "creating", "cloudHadoopServerInstanceStatus": { "code": "PEND", "codeName": "CLOUD DATABASE (VPC) server Pending status" }, "cloudHadoopServerInstanceOperation": { "code": "CREAT", "codeName": "CLOUD DATABASE (VPC) server Create OP" }, "cloudHadoopProductCode": "SVR.VCHDP.MSTDT.STAND.C004.M016.NET.HDD.B050.G002", "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "7****", "vpcName": "****", "subnetNo": "20****", "subnetName": "****", "privateIp": "***.***.***.***", "isPublicSubnet": false, "dataStorageType": { "code": "SSD", "codeName": "SSD" }, "dataStorageSize": 107374182400, "cpuCount": 4, "memorySize": 17179869184, "createDate": "2025-02-25T09:24:44+0900" }, { "cloudHadoopServerName": "m-002-cluster03-5v3y-hd", "cloudHadoopServerRole": { "code": "M", "codeName": "Master Node" }, "cloudHadoopServerInstanceStatusName": "creating", "cloudHadoopServerInstanceStatus": { "code": "PEND", "codeName": "CLOUD DATABASE (VPC) server Pending status" }, "cloudHadoopServerInstanceOperation": { "code": "CREAT", "codeName": "CLOUD DATABASE (VPC) server Create OP" }, "cloudHadoopProductCode": "SVR.VCHDP.MSTDT.STAND.C004.M016.NET.HDD.B050.G002", "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "7****", "vpcName": "****", "subnetNo": "20****", "subnetName": "****", "privateIp": "***.***.***.***", "isPublicSubnet": false, "dataStorageType": { "code": "SSD", "codeName": "SSD" }, "dataStorageSize": 107374182400, "cpuCount": 4, "memorySize": 17179869184, "createDate": "2025-02-25T09:24:44+0900" }, { "cloudHadoopServerName": "d-001-cluster03-5v40-hd", "cloudHadoopServerRole": { "code": "D", "codeName": "Date Node" }, "cloudHadoopServerInstanceStatusName": "creating", "cloudHadoopServerInstanceStatus": { "code": "PEND", "codeName": "CLOUD DATABASE (VPC) server Pending status" }, "cloudHadoopServerInstanceOperation": { "code": "CREAT", "codeName": "CLOUD DATABASE (VPC) server Create OP" }, "cloudHadoopProductCode": "SVR.VCHDP.MSTDT.STAND.C004.M016.NET.HDD.B050.G002", "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "7****", "vpcName": "****", "subnetNo": "20****", "subnetName": "****", "privateIp": "***.***.***.***", "isPublicSubnet": false, "dataStorageType": { "code": "SSD", "codeName": "SSD" }, "dataStorageSize": 107374182400, "cpuCount": 4, "memorySize": 17179869184, "createDate": "2025-02-25T09:24:44+0900" }, { "cloudHadoopServerName": "d-002-cluster03-5v41-hd", "cloudHadoopServerRole": { "code": "D", "codeName": "Date Node" }, "cloudHadoopServerInstanceStatusName": "creating", "cloudHadoopServerInstanceStatus": { "code": "PEND", "codeName": "CLOUD DATABASE (VPC) server Pending status" }, "cloudHadoopServerInstanceOperation": { "code": "CREAT", "codeName": "CLOUD DATABASE (VPC) server Create OP" }, "cloudHadoopProductCode": "SVR.VCHDP.MSTDT.STAND.C004.M016.NET.HDD.B050.G002", "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "7****", "vpcName": "****", "subnetNo": "20****", "subnetName": "****", "privateIp": "***.***.***.***", "isPublicSubnet": false, "dataStorageType": { "code": "SSD", "codeName": "SSD" }, "dataStorageSize": 107374182400, "cpuCount": 4, "memorySize": 17179869184, "createDate": "2025-02-25T09:24:44+0900" } ] } ], "requestId": "86e6bc28-****-****-****-1b00ebda0d97", "returnCode": "0", "returnMessage": "success" } } ```